activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Antsa <...@teamware.com>
Subject Re: activeMQ-5.2.0+spring-xbean: no declaration can be found for element 'amq:broker' with schema activemq-5.2.0.xsd
Date Tue, 19 May 2009 21:49:50 GMT


gruikman wrote:
> 
> I try to embed an activeMQ 5.2.0 broker in a camel-2.0M1 server with
> Spring 2.5.6 and Xbean 3.5 following the activemq tutorials but I get some
> problems...
> 
> <snip/>
> 
> I change the
> "http://activemq.apache.org/schema/core/activemq-core-5.2.0.xsd" into
> "http://activemq.apache.org/schema/core/activemq-core.xsd"
> 
> Eclipse schema validator cries a bit because
> "http://activemq.apache.org/schema/core/activemq-core.xsd" doesn't exist
> on the net but the server works now...
> 
> Can anyone tell me if there is a more elegant way to do that?
> 
I have the same problem running my app on Tomcat under Windows Server 2008. 
Your change above fixes it.

Odd that it runs fine on XP with the full version #, but not on WS2008 -
what O/S are you running on?

I found this link that tells how to set up Eclipse so that it does not
complain

http://www.bigsoft.co.uk/blog/index.php/2009/02/01/invalid-activemq-schema-name-space

Although I used the activemq-core-5.2.0.jar file for both properties as the
"Schema Location" element did not work as described.

It doesn't say WHY it doesn't work with core-5.2.0.xsd though, which is a
bit frustrating.  If you find the "why", please share it!

Antony


-- 
View this message in context: http://www.nabble.com/activeMQ-5.2.0%2Bspring-xbean%3A-no-declaration-can-be-found-for-element-%27amq%3Abroker%27-with-schema-activemq-5.2.0.xsd-tp23522268p23625035.html
Sent from the ActiveMQ - User mailing list archive at Nabble.com.


Mime
View raw message